- Qt 5.15
- Qt Quick 3D
- C++ Classes
- QQuick3DObject
- Qt Quick 3D | Commercial or GPLv3

# QQuick3DObject Class

Base class of all 3D nodes and resources. More...

Header: | #include <QQuick3DObject>
Since: | Qt 5.15
Inherited By: | QQuick3DGeometry

This class was introduced in Qt 5.15.

- List of all members, including inherited members

## Public Functions

QQuick3DObject * | parentItem() const
void | setState(const QString &state)
QString | state() const

## Public Slots

void | setParentItem(QQuick3DObject *parentItem)

## Signals

void | parentChanged()
void | stateChanged()

## Detailed Description